summaryrefslogtreecommitdiffstats
path: root/development/eclipse-cpp/eclipse-cpp.SlackBuild
diff options
context:
space:
mode:
author Andrew Clemons2017-10-03 15:09:00 +0200
committer David Spencer2017-10-03 15:09:00 +0200
commitc5e9d3659c9400c788db74760dd7eb970220fb90 (patch)
treed9dffd3e0faf8ffd1cdc43efffc0f2bb4f1b4cfe /development/eclipse-cpp/eclipse-cpp.SlackBuild
parent4148fdc9184dec6271c62d9cfd04b120a04982a3 (diff)
downloadold.slackbuilds-c5e9d3659c9400c788db74760dd7eb970220fb90.tar.gz
development/eclipse-cpp: Updated for version 4.7.1.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/eclipse-cpp/eclipse-cpp.SlackBuild')
-rw-r--r--development/eclipse-cpp/eclipse-cpp.SlackBuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/development/eclipse-cpp/eclipse-cpp.SlackBuild b/development/eclipse-cpp/eclipse-cpp.SlackBuild
index 29e075bbb8..5eb36e9095 100644
--- a/development/eclipse-cpp/eclipse-cpp.SlackBuild
+++ b/development/eclipse-cpp/eclipse-cpp.SlackBuild
@@ -27,8 +27,8 @@
# This script is just a binary repackaging.
PRGNAM=eclipse-cpp
-VERSION=${VERSION:-4.7}
-SRCVERSION=${SRCVERSION:-oxygen-R}
+VERSION=${VERSION:-4.7.1}
+SRCVERSION=${SRCVERSION:-oxygen-1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -54,10 +54,11 @@ cd $PKG/opt/$PRGNAM
# ARCH can be 'i586' or 'x86_64'
if [ "$ARCH" = "x86_64" ]; then
tar --strip-components=1 -xvf $CWD/$PRGNAM-$SRCVERSION-linux-gtk-$ARCH.tar.gz
-elif [ "$ARCH" = "i586" ]; then
+elif case "$ARCH" in i?86) true ;; *) false ;; esac ; then
tar --strip-components=1 -xvf $CWD/$PRGNAM-$SRCVERSION-linux-gtk.tar.gz
else
- printf "$ARCH is not supported...\n" ; exit 1
+ printf "$ARCH is not supported...\n"
+ exit 1
fi
chown -R root:root .